
Foreman - Feature #3873

Validate syntax of kickstart and preseed scripts

12/13/2013 08:27 AM - Dominic Cleal

Status: New   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Kickstart scripts could be rendered and have their syntax validated via the ksvalidator python tool or similar, allowing errors to be

caught early and in the web UI.

Related issues:

Related to Foreman - Feature #2310: Template validation New

Associated revisions

Revision 2b5eeea6 - 12/17/2016 10:31 AM - Derek Tamsen 

Refs #2310,#3873 - test preseed configs

closes GH-332

closes GH-333

History

#1 - 02/05/2014 08:56 AM - Dominic Cleal

- Related to Feature #2310: Template validation added

#2 - 03/27/2014 08:42 AM - Benjamin Papillon

- Subject changed from Validate syntax of kickstart scripts to Validate syntax of kickstart and preseed scripts

On the debian side, you can use  # debconf-set-selections -c preseed.cfg
